Extending Qt Creator Manual | FindToolBarPlaceHolder

Extending Qt Creator Manual 4.5.2

# FindToolBarPlaceHolder Class

(Core::FindToolBarPlaceHolder)

- List of all members, including inherited members

## Public Functions

| FindToolBarPlaceHolder(QWidget *owner, QWidget *parent = 0)
| ~FindToolBarPlaceHolder()
bool | isLightColored() const
bool | isUsedByWidget(QWidget *widget)
QWidget * | owner() const
void | setLightColored(bool lightColored)
void | setWidget(Internal::FindToolBar *widget)

## Static Public Members

FindToolBarPlaceHolder * | getCurrent()
void | setCurrent(FindToolBarPlaceHolder *placeHolder)

## Member Function Documentation

### FindToolBarPlaceHolder::FindToolBarPlaceHolder(QWidget *owner, QWidget *parent = 0)

Default constructs an instance of FindToolBarPlaceHolder.

### FindToolBarPlaceHolder::~FindToolBarPlaceHolder()

Destroys the instance of FindToolBarPlaceHolder.

### `[static]` FindToolBarPlaceHolder *FindToolBarPlaceHolder::getCurrent()

### bool FindToolBarPlaceHolder::isLightColored() const

### bool FindToolBarPlaceHolder::isUsedByWidget(QWidget *widget)

Returns if widget is a subwidget of the place holder's owner

### QWidget *FindToolBarPlaceHolder::owner() const

### `[static]` void FindToolBarPlaceHolder::setCurrent(FindToolBarPlaceHolder *placeHolder)

### void FindToolBarPlaceHolder::setLightColored(bool lightColored)

See also isLightColored().

### void FindToolBarPlaceHolder::setWidget(Internal::FindToolBar *widget)